Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.org
Class ChannelBusClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
          com.tibco.bpm.web.client.services.client.org.ChannelBusClientService

    public class ChannelBusClientService

extends OrgBrowserClientService

GWT Client Service for ChannelBusRESTService

©2014 TIBCO Software Inc.

Since:
  3.0

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`ChannelBusClientService()`

Method Summary
`static ChannelBusClientService` | `getInstance()`
`void` | `getPresentationChannel(java.lang.String channelId, java.lang.String channelType, com.google.gwt.user.client.rpc.AsyncCallback<GetPresentationChannelResponse> callback)` TODO Describe this method
`void` | `listChannelTypes(java.lang.String channelImplementationType, com.google.gwt.user.client.rpc.AsyncCallback<ListChannelTypesResponse> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`cleanseResponse, getHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelBusClientService

    public ChannelBusClientService()

Method Detail

### getInstance

    public static ChannelBusClientService getInstance()

### listChannelTypes

    public void listChannelTypes(java.lang.String channelImplementationType,
                                 com.google.gwt.user.client.rpc.AsyncCallback<ListChannelTypesResponse> callback)

  Parameters:
    `channelImplementationType` - e.g. Pull or Push
    `callback` -

### getPresentationChannel

    public void getPresentationChannel(java.lang.String channelId,
                                       java.lang.String channelType,
                                       com.google.gwt.user.client.rpc.AsyncCallback<GetPresentationChannelResponse> callback)

  TODO Describe this method

  Parameters:
    `channelId` - e.g openspaceGWTPull_DefaultChannel or can be null
    `channelType` - e.g. openspaceChannel or can be null
    `callback` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.